// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.3.2
// source: cable.proto

package agentsProtobuf

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CableResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	I2Im    float64 `protobuf:"fixed64,1,opt,name=i2_im,json=i2Im,proto3" json:"i2_im,omitempty"`
	I2Re    float64 `protobuf:"fixed64,2,opt,name=i2_re,json=i2Re,proto3" json:"i2_re,omitempty"`
	I1Re    float64 `protobuf:"fixed64,3,opt,name=i1_re,json=i1Re,proto3" json:"i1_re,omitempty"`
	I1Im    float64 `protobuf:"fixed64,4,opt,name=i1_im,json=i1Im,proto3" json:"i1_im,omitempty"`
	Slosses float64 `protobuf:"fixed64,5,opt,name=slosses,proto3" json:"slosses,omitempty"`
	Srel    float64 `protobuf:"fixed64,6,opt,name=srel,proto3" json:"srel,omitempty"`
	Used    bool    `protobuf:"varint,7,opt,name=used,proto3" json:"used,omitempty"`
}

func (x *CableResult) Reset() {
	*x = CableResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cable_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CableResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CableResult) ProtoMessage() {}

func (x *CableResult) ProtoReflect() protoreflect.Message {
	mi := &file_cable_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CableResult.ProtoReflect.Descriptor instead.
func (*CableResult) Descriptor() ([]byte, []int) {
	return file_cable_proto_rawDescGZIP(), []int{0}
}

func (x *CableResult) GetI2Im() float64 {
	if x != nil {
		return x.I2Im
	}
	return 0
}

func (x *CableResult) GetI2Re() float64 {
	if x != nil {
		return x.I2Re
	}
	return 0
}

func (x *CableResult) GetI1Re() float64 {
	if x != nil {
		return x.I1Re
	}
	return 0
}

func (x *CableResult) GetI1Im() float64 {
	if x != nil {
		return x.I1Im
	}
	return 0
}

func (x *CableResult) GetSlosses() float64 {
	if x != nil {
		return x.Slosses
	}
	return 0
}

func (x *CableResult) GetSrel() float64 {
	if x != nil {
		return x.Srel
	}
	return 0
}

func (x *CableResult) GetUsed() bool {
	if x != nil {
		return x.Used
	}
	return false
}

var File_cable_proto protoreflect.FileDescriptor

var file_cable_proto_rawDesc = []byte{
	0x0a, 0x0b, 0x63, 0x61, 0x62, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa3, 0x01,
	0x0a, 0x0b, 0x43, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x13, 0x0a,
	0x05, 0x69, 0x32, 0x5f, 0x69, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x69, 0x32,
	0x49, 0x6d, 0x12, 0x13, 0x0a, 0x05, 0x69, 0x32, 0x5f, 0x72, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x01, 0x52, 0x04, 0x69, 0x32, 0x52, 0x65, 0x12, 0x13, 0x0a, 0x05, 0x69, 0x31, 0x5f, 0x72, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x69, 0x31, 0x52, 0x65, 0x12, 0x13, 0x0a, 0x05,
	0x69, 0x31, 0x5f, 0x69, 0x6d, 0x18, 0x04, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x69, 0x31, 0x49,
	0x6d, 0x12, 0x18, 0x0a, 0x07, 0x73, 0x6c, 0x6f, 0x73, 0x73, 0x65, 0x73, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x01, 0x52, 0x07, 0x73, 0x6c, 0x6f, 0x73, 0x73, 0x65, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x73,
	0x72, 0x65, 0x6c, 0x18, 0x06, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x73, 0x72, 0x65, 0x6c, 0x12,
	0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x75,
	0x73, 0x65, 0x64, 0x42, 0x12, 0x5a, 0x10, 0x2e, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x50,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_cable_proto_rawDescOnce sync.Once
	file_cable_proto_rawDescData = file_cable_proto_rawDesc
)

func file_cable_proto_rawDescGZIP() []byte {
	file_cable_proto_rawDescOnce.Do(func() {
		file_cable_proto_rawDescData = protoimpl.X.CompressGZIP(file_cable_proto_rawDescData)
	})
	return file_cable_proto_rawDescData
}

var file_cable_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_cable_proto_goTypes = []interface{}{
	(*CableResult)(nil), // 0: CableResult
}
var file_cable_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_cable_proto_init() }
func file_cable_proto_init() {
	if File_cable_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_cable_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CableResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_cable_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_cable_proto_goTypes,
		DependencyIndexes: file_cable_proto_depIdxs,
		MessageInfos:      file_cable_proto_msgTypes,
	}.Build()
	File_cable_proto = out.File
	file_cable_proto_rawDesc = nil
	file_cable_proto_goTypes = nil
	file_cable_proto_depIdxs = nil
}
